/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.impl;

import net.northking.cctp.testbug.db.dao.BugCorrelationLinkDao;
import net.northking.cctp.testbug.db.service.BugCorrelationLinkService;
import net.northking.cctp.testbug.db.entity.BugCorrelationLink;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 缺陷关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-10-13 14:00:14  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugCorrelationLinkServiceImpl")
public class BugCorrelationLinkServiceImpl extends TenantEntityService<BugCorrelationLink> implements BugCorrelationLinkService
{
private static final Logger logger = LoggerFactory.getLogger(BugCorrelationLinkServiceImpl.class);

  private final BugCorrelationLinkDao bugCorrelationLinkDao;

  public BugCorrelationLinkServiceImpl(BugCorrelationLinkDao bugCorrelationLinkDao) {this.bugCorrelationLinkDao = bugCorrelationLinkDao;}

  public BasicDao<BugCorrelationLink> getDao() {return bugCorrelationLinkDao;}

  public BugCorrelationLink createEntity() { return new BugCorrelationLink();}

  @Override
  public List<BugCorrelationLink> findCaseListByBugs(List<String> fileQuery) {
    return bugCorrelationLinkDao.findCaseListByBugs(fileQuery);
  }

  @Override
  public void pubAdd(BugCorrelationLink addDto) {
    bugCorrelationLinkDao.pubAdd(addDto);
  }

  @Override
  public Integer removeByCode(String bugCode) {
    return bugCorrelationLinkDao.removeByCode(bugCode);
  }


// ----      The End by Generator     ----//




}

